Package org.drinkless.tdlib

# Class TdApi.FoundPublicPosts

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.FoundPublicPosts

Enclosing class:
  `TdApi`

public static class TdApi.FoundPublicPosts extends TdApi.Object
Contains a list of messages found by a public post search.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `boolean`
  `areLimitsExceeded`
  True, if the query has failed because search limits are exceeded.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.Message[]`
  `messages`
  List of found public posts.
  `String`
  `nextOffset`
  The offset for the next request.
  `TdApi.PublicPostSearchLimits`
  `searchLimits`
  Updated public post search limits after the query; repeated requests with the same query will be free; may be null if they didn't change.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FoundPublicPosts()`
  Contains a list of messages found by a public post search.
  `FoundPublicPosts(TdApi.Message[] messages, String nextOffset, TdApi.PublicPostSearchLimits searchLimits, boolean areLimitsExceeded)`
  Contains a list of messages found by a public post search.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### messages

    public TdApi.Message[] messages
    List of found public posts.

  - ### nextOffset

    public String nextOffset
    The offset for the next request. If empty, then there are no more results.

  - ### searchLimits

    @Nullable public TdApi.PublicPostSearchLimits searchLimits
    Updated public post search limits after the query; repeated requests with the same query will be free; may be null if they didn't change.

  - ### areLimitsExceeded

    public boolean areLimitsExceeded
    True, if the query has failed because search limits are exceeded. In this case searchLimits.dailyFreeQueryCount will be equal to 0.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### FoundPublicPosts

    public FoundPublicPosts()
    Contains a list of messages found by a public post search.

  - ### FoundPublicPosts

    public FoundPublicPosts(TdApi.Message[] messages, String nextOffset, TdApi.PublicPostSearchLimits searchLimits, boolean areLimitsExceeded)
    Contains a list of messages found by a public post search.
    Parameters:
      `messages` - List of found public posts.
      `nextOffset` - The offset for the next request. If empty, then there are no more results.
      `searchLimits` - Updated public post search limits after the query; repeated requests with the same query will be free; may be null if they didn't change.
      `areLimitsExceeded` - True, if the query has failed because search limits are exceeded. In this case searchLimits.dailyFreeQueryCount will be equal to 0.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR